#### D.15.6.4 laxfrT

Procedure from library `finitediff.lib` (see finitediff_lib).

Usage:
  laxfrT(U1,U2,var); U1, U2 are the names of occuring derivatives, var is a variable in the basering;

Return:
  type vector; gives a predefined approximation of the Lax-Friedrich-approximation for the derivation in the timevariable as often used in literature;

Note:
  see also laxfrX, setinitials, scheme; Warning: laxfrT is not to be interchanged with laxfrX

Example:

    LIB "finitediff.lib";
    list D="Ux","Ut","U";
    list P="a";
    list V="t","x";
    setinitials(V,D,P);
    laxfrT(Ux,U,x);
    ==> [(dt)*x,0,-t*x+1/2*x^2+1/2]

User manual for Singular version 4.4.1, 2025, generated by texi2html.